"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _propTypes = _interopRequireDefault(require("prop-types"));

function interopRequireDefault(obj) { return obj && obj._esModule ? obj : { default: obj }; }

function useUpdateEffect(callback, dependencies) {
  const firstRenderRef = (0, _react.useRef)(true);
  (0, _react.useEffect)(() => {
    if (firstRenderRef.current) {
      firstRenderRef.current = false;
      return;
    }

    return callback();
  }, dependencies);
}

useUpdateEffect.propTypes = {
  callback: _propTypes.default.func,
  dependencies: _propTypes.default.array
};
var _default = useUpdateEffect;
exports.default = _default;